package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;

/**
 * @Description
 * @Date 2021-04-12
 */

@ApiModel
@Table(value = "wms_work_stage_runtime", appendDefaultJdbcType = true, camelToUnderline = true)
public class WorkStageRuntimeDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 2932957055860684281L;
    @Id
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    /** 主键ID **/
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 建筑物
     **/
    @ApiModelProperty(value = "订单id")
    @Column(value = "bill_group_id")
    private String billGroupId;

    @ApiModelProperty(value = "货主id")
    @Column(value = "consignor_id")
    private String consignorId;


    /**
     * 建筑物
     **/
    @ApiModelProperty(value = "建筑物")
    @Column(value = "building_code")
    private String buildingCode;

    /**
     * 暂存区ID
     **/
    @ApiModelProperty(value = "暂存区ID")
    @Column(value = "stage_id")
    private String stageId;

    /**
     * 暂存区ID
     **/
    @ApiModelProperty(value = "暂存区编码")
    @Column(value = "stage_code")
    private String stageCode;
    /**
     * 暂存区类型
     **/
    @ApiModelProperty(value = "暂存区类型")
    @Column(value = "stage_type")
    private String stageType;

    /**
     * 箱数
     **/
    @ApiModelProperty(value = "箱数")
    @Column(value = "case_qty")
    private BigDecimal caseQty;

    @ApiModelProperty(value = "波次ID")
    @Column(value = "wave_id")
    private String waveId;

    @ApiModelProperty(value = "占用状态")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "客户id")
    @Column(value = "shipper_id")
    private String shipperId;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStageCode() {
        return stageCode;
    }

    public void setStageCode(String stageCode) {
        this.stageCode = stageCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getBuildingCode() {
        return buildingCode;
    }

    public void setBuildingCode(String buildingCode) {
        this.buildingCode = buildingCode;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public BigDecimal getCaseQty() {
        return caseQty;
    }

    public void setCaseQty(BigDecimal caseQty) {
        this.caseQty = caseQty;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getShipperId() {
        return shipperId;
    }

    public void setShipperId(String shipperId) {
        this.shipperId = shipperId;
    }

    public String getStageType() {
        return stageType;
    }

    public void setStageType(String stageType) {
        this.stageType = stageType;
    }
}
